Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Public Types | Public Member Functions | Friends | List of all members
LatBuilder::BridgeSeq< DERIVED, BASE, VALUE, ITERATOR > Class Template Reference

Bridge CRTP class for sequence based on another type of sequence, with elements computed by the derived class. More...

`#include <BridgeSeq.h>`

## Public Types
typedef BridgeSeq< DERIVED, BASE, VALUE, ITERATOR > | BridgeSeq_
typedef BASE | Base
typedef VALUE | value_type
typedef Base::size_type | size_type
typedef ITERATOR< DERIVED > | const_iterator

## Public Member Functions
| BridgeSeq (Base base=Base())
| Constructor. More...
Base & | base ()
| Returns the base sequence.
const Base & | base () const
void | setBase (Base b)
| Changes the base sequence to `b`.
const_iterator | begin () const
| Returns an iterator pointing to the first element in the sequence.
const_iterator | end () const
| Returns an iterator pointing past the last element in the sequence.

## Friends
class | ITERATOR< DERIVED >

## Detailed Description

### template<typename DERIVED, typename BASE, typename VALUE = typename BASE::value_type, template< typename > class ITERATOR = BridgeIteratorCached>
class LatBuilder::BridgeSeq< DERIVED, BASE, VALUE, ITERATOR >

Bridge CRTP class for sequence based on another type of sequence, with elements computed by the derived class.

The only requirement on DERIVED is a function with the following signature:

VALUE element(const typename BASE::const_iterator&) const;

Template Parameters

  DERIVED | Deriving class.
  BASE | Base sequence class.
  VALUE | Value type of the elements in the sequence.

## Constructor & Destructor Documentation

template<typename DERIVED, typename BASE, typename VALUE = typename BASE::value_type, template< typename > class ITERATOR = BridgeIteratorCached>

LatBuilder::BridgeSeq< DERIVED, BASE, VALUE, ITERATOR >::BridgeSeq | ( | Base | base = `Base()` | ) |
| inline

Constructor.

Parameters

  base | Base sequence object.

The documentation for this class was generated from the following file:

- latbuilder/include/latbuilder/BridgeSeq.h